Jekyll theme minimal not working?

I got for the first time today an error with my jekyll theme:

Your SCSS file assets/css/style.scss has an error on line 1: File to import not found or unreadable: minimal

This is with “import _config.yml” in my style.scss file and “theme: jekyll-theme-minimal” in the config file. It’s been working fine and the minimal theme is still listed as valid. The status page doesn’t mention any errors.

Any help?

EDIT

OK, I caused this to happen on my local site by doing a bundle update github-pages which got me the latest version (216). Now my local jekyll complains:

      Generating...
      Remote Theme: Using theme pages-themes/minimal
       Jekyll Feed: Generating feed for posts
  Conversion error: Jekyll::Converters::Scss encountered an error while converting 'assets/css/style.scss':
                    File to import not found or unreadable: minimal. Load paths: /Users/username/.rbenv/versions/2.6.4/lib/ruby/gems/2.6.0/gems/jekyll-theme-minimal-0.1.1/_sass /private/var/folders/yl/xd3tsv2x1959s23ts4k1qt9m0000gr/T/jekyll-remote-theme-20210723-18854-933r6p/_sass on line 1
jekyll 3.9.0 | Error:  File to import not found or unreadable: minimal.
Load paths:
  /Users/username/.rbenv/versions/2.6.4/lib/ruby/gems/2.6.0/gems/jekyll-theme-minimal-0.1.1/_sass
  /private/var/folders/yl/xd3tsv2x1959s23ts4k1qt9m0000gr/T/jekyll-remote-theme-20210723-18854-933r6p/_sass on line 1

Not sure what’s going on there since the first load path exists. The only three things to change with the upgrade to github-pages were:

Using ruby2_keywords 0.0.5 (was 0.0.4)
Using listen 3.6.0 (was 3.5.1)
Using github-pages 216 (was 215)

Started happening on my github pages as well, without any change from my end. See the last three commits: Commits · pox/EndTheFUD · GitHub

Using the hacker theme. Overriding themes seems to be broken in general.

I can confirm that it is broken for us too (theme minimal)

and running it locally does not fix it - looks like it’s the theme itself that is broken.

Well, I’m getting the same error when I substitute a couple of other themes locally, so it’s at least a shared problem.

Started happening on my github pages as well, without any change from my end. See the last three commits: Commits · pox/EndTheFUD · GitHub

Using the hacker theme. Overriding themes seems to be broken in general.

Your last successful commit was July 17, mine July 15.

Similar issues reported in this thread.

1 Like

I have described what I think is the fundamental problem here: GitHub Pages breaks upon adding assets/css/style.scss